package org.gnomekr.argosdoc.action;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.IWizard;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;
import org.gnomekr.argosdoc.view.DocumentsTreeView;
import org.gnomekr.argosdoc.wizard.AddDocumentWizard;

/**
 * AddDocumentAction.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2005/11/11 14:33:05 $
 */
public class AddDocumentAction implements IViewActionDelegate {

    private DocumentsTreeView view;

    /**
     * @see org.eclipse.ui.IViewActionDelegate#init(org.eclipse.ui.IViewPart)
     */
    public void init(IViewPart view) {
        if (view instanceof DocumentsTreeView) {
            this.view = (DocumentsTreeView) view;
        }
    }

    /**
     * @see org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)
     */
    public void selectionChanged(IAction action, ISelection selection) {
    }

    /**
     * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
     */
    public void run(IAction action) {
        Shell parent = Display.getDefault().getActiveShell();

        IWizard wizard = new AddDocumentWizard(view);
        WizardDialog dialog = new WizardDialog(parent, wizard);

        dialog.open();
    }
}
