package org.gnomekr.argosdoc.action;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IViewActionDelegate;
import org.eclipse.ui.IViewPart;
import org.gnomekr.argosdoc.node.DocumentNode;
import org.gnomekr.argosdoc.node.ITreeNode;
import org.gnomekr.argosdoc.view.DocumentsTreeView;

/**
 * RemoveDocumentAction.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2005/11/11 02:58:43 $
 */
public class RemoveDocumentAction implements IViewActionDelegate {

    private DocumentsTreeView view;
    private DocumentNode node;

    /**
     * @see org.eclipse.ui.IViewActionDelegate#init(org.eclipse.ui.IViewPart)
     */
    public void init(IViewPart view) {
        if (view instanceof DocumentsTreeView) {
            this.view = (DocumentsTreeView) view;
        }
    }

    /**
     * @see org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)
     */
    @SuppressWarnings("unchecked")
    public void selectionChanged(IAction action, ISelection selection) {
        if (selection instanceof IStructuredSelection) {
            IStructuredSelection ssel = (IStructuredSelection) selection;
            Object value = ssel.getFirstElement();
            if (value instanceof ITreeNode) {
                ITreeNode parent = (ITreeNode) value;
                while (parent != null) {
                    if (parent instanceof DocumentNode) {
                        this.node = (DocumentNode) parent;
                        break;
                    }
                    parent = parent.getParent();
                }
            }
        }
    }

    /**
     * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
     */
    public void run(IAction action) {
        if (view != null && node != null) {
            view.removeDocument(node);
        }
    }
}
