package org.gnomekr.argosdoc.node;

import java.io.IOException;
import java.io.Reader;

/**
 * DocumentNode.java
 * @author Xavier Cho
 * @version $Revision: 1.3 $ $Date: 2005/11/18 08:29:39 $
 */
public abstract class DocumentNode extends ElementNode {

    public static final String TOC_FILE_NAME = "allclasses-frame.html";
    public static final String SUMMARY_FILE_NAME = "overview-summary.html";

    private String version;
    private String description;

    public DocumentNode(String name) {
        super(name, NodeType.Document);
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public abstract String toExternalForm();

    public abstract Reader getTOCFileReader() throws IOException;
}