package org.gnomekr.argosdoc.node;

import java.io.Serializable;
import java.util.Comparator;

/**
 * ITreeNode.java
 * @author Xavier Cho
 * @version $Revision: 1.2 $ $Date: 2005/11/18 08:29:39 $
 */
public interface ITreeNode<T extends ITreeNode> extends Serializable {

    String getName();

    void setName(String name);

    T getParent();

    void setParent(T parent);

    T findChild(String name);

    boolean isLeaf();

    int getChildCount();

    T[] getChildren();

    void addChildNode(T child);

    void removeChildNode(T child);

    void sortChildren(Comparator<? super T> comparator);
}