package org.gnomekr.argosdoc.wizard;

import org.apache.commons.lang.NullArgumentException;
import org.eclipse.jface.wizard.Wizard;
import org.gnomekr.argosdoc.view.DocumentsTreeView;

/**
 * AddDocumentWizard.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:33:05 $
 */
public class AddDocumentWizard extends Wizard {

    private DocumentsTreeView view;

    /**
	 * Constructor for AddDocumentWizard.
	 */
	public AddDocumentWizard(DocumentsTreeView view) {
        if (view == null) {
            throw new NullArgumentException("view");
        }

        this.view = view;

		setNeedsProgressMonitor(true);
        setForcePreviousAndNextButtons(true);
	}
	
	/**
	 * Adding the page to the wizard.
	 */

	public void addPages() {
		addPage(new AddDocumentPageIntro(view));
	}

	/**
	 * This method is called when 'Finish' button is pressed in
	 * the wizard. We will create an operation and run it
	 * using wizard as execution context.
	 * @see org.eclipse.jface.wizard.IWizard#performFinish()
	 */
	public boolean performFinish() {
		return true;
	}
}