package org.gnomekr.argosdoc.wizard;

import org.eclipse.jface.wizard.IWizard;
import org.eclipse.jface.wizard.IWizardNode;
import org.eclipse.swt.graphics.Point;
import org.gnomekr.argosdoc.view.DocumentsTreeView;

/**
 * AddLocalDocumentWizardNode.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:33:05 $
 */
public class AddLocalDocumentWizardNode implements IWizardNode {

    private DocumentsTreeView view;
    private AddLocalDocumentWizard wizard;

    public AddLocalDocumentWizardNode(DocumentsTreeView view) {
        this.view = view;
    }

    /**
     * @see org.eclipse.jface.wizard.IWizardNode#dispose()
     */
    public void dispose() {
        if (wizard != null) {
            wizard.dispose();
        }
    }

    /**
     * @see org.eclipse.jface.wizard.IWizardNode#getExtent()
     */
    public Point getExtent() {
        return new Point(-1, -1);
    }

    /**
     * @see org.eclipse.jface.wizard.IWizardNode#getWizard()
     */
    public IWizard getWizard() {
        if (wizard == null) {
            this.wizard = new AddLocalDocumentWizard(view);
        }

        return wizard;
    }

    /**
     * @see org.eclipse.jface.wizard.IWizardNode#isContentCreated()
     */
    public boolean isContentCreated() {
        return wizard != null;
    }
}
